#!/bin/sh

TIMEOUT="$1"
if [ "$TIMEOUT" = "" ]; then
    echo "Usage: check-datasync-queue TIMEOUT"
    exit 3
fi

cd ${envroot}

bin/rattail -c app/quiet.conf --no-versioning datasync --timeout $TIMEOUT check 2>&1
rc=$?
if [ $rc -eq 1 ]; then
    exit 2
elif [ $rc -ne 0 ]; then
    echo "unknown issue"
    exit 3
fi

exit 0
